Bug 58589 - RPM database contains wrong user for uucp files
RPM database contains wrong user for uucp files
Product: Red Hat Linux
Classification: Retired
Component: uucp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-01-20 18:49 EST by Steve Snyder
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-20 18:49:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2002-01-20 18:49:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011227

Description of problem:
After installing the package uucp-1.06.1-32.i386.rpm (from RedHat Linux  v7.2
updates) the permissions on the files in this package are not recorded correctly
in the RPM database.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1.Build binary RPM from uucp-1.06.1-32.src.rpm, then install them.
2.Run this: rpm -V uucp
3.Note that the user firld for all files are shown as changed.

Actual Results:  # rpm -V uucp
.....U..   /usr/bin/cu
.....U..   /usr/bin/uucp
.....U..   /usr/bin/uuname
.....U..   /usr/bin/uustat
.....U..   /usr/bin/uux
.....U..   /usr/lib/uucp
.....U..   /usr/sbin/uuchk
.....U..   /usr/sbin/uucico
.....U..   /usr/sbin/uuconv
.....U..   /usr/sbin/uuxqt
.....U..   /var/lock/uucp
.....U..   /var/log/uucp
.....U.. g /var/log/uucp/Debug
.....U.. g /var/log/uucp/Log
.....U.. g /var/log/uucp/Stats
.....U..   /var/spool/uucp
.....U..   /var/spool/uucppublic

Expected Results:  Permissions stored in RPM and actual file permisions should

Additional info:

See with RPM from package rpm-4.0.3-1.03.src.rpm.
Comment 1 Jeff Johnson 2002-02-01 17:00:45 EST
I can't reproduce this problem using the Raw Hide uucp-1.06.1-41
package (and rpm-4.0.4, but I don't know of any reason that is important).

Note You need to log in before you can comment on or make changes to this bug.